Summary:	GTK+-based ISO image editor
Name:		isomaster
Version:	1.3.13
Release:	%mkrel 1
Source0:	http://littlesvr.ca/isomaster/releases/%{name}-%{version}.tar.xz
Patch1:		isomaster-1.3.13-iniparser.patch
License:	GPLv2
Group:		Archiving/Cd burning
URL:		http://littlesvr.ca/isomaster/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	iniparser-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
Obsoletes:  %name < %version

%description
ISO Master: an easy to use GUI CD image editor. 
It allows to extract files from an ISO, add files to an ISO, 
and create bootable ISOs - all in a graphical user interface.

%prep
%setup -q
%apply_patches

# use system iniparser
sed -i -e 's,#\(USE_SYSTEM_INIPARSER\),\1,' Makefile

# fix prefix
sed -i -e 's,\(PREFIX .*\)/usr/local,\1%{_prefix},' Makefile

# more verbose build
sed -i -e 's,@\($(CC)\),\1,g' Makefile

# don't rebuid at install time
sed -i -e 's/^install:\s*all/install:/' Makefile

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

perl -pi -e 's,/usr/share/%{name}/icons/isomaster.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-System-Archiving-Compression" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc *.TXT
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Apr 08 2015 bb <bb> 1.3.13-1pclos2015
-  1.3.13
- build with external iniparser patch

* Sat Jan 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.3.9-1pclos2011
- update
- added Slovak and Lithuanian translations
- fixed a potential crash when opening a file from the "Recently used" section.

* Fri Nov 25 2011 Texstar <texstar at gmail.com> 1.3.8-1pclos2011
- 1.3.8

